Accept Merge Suggestion
POST
/api/auth/merge-suggestions/{suggestion_id}/accept
const url = 'https://example.com/api/auth/merge-suggestions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/accept';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"profile_overrides":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/auth/merge-suggestions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/accept \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "profile_overrides": { "additionalProperty": "example" } }'Accept a merge suggestion: merge the duplicate into the current user.
The current user is always the survivor (target). The duplicate (suggested_source) is deleted after its records are migrated.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” suggestion_id
required
Suggestion Id
string format: uuid
Request Body
Section titled “Request Body ” Media type application/json
Any of:
AcceptMergeRequest
null
Example generated
{ "profile_overrides": { "additionalProperty": "example" }}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response Accept Merge Suggestion Api Auth Merge Suggestions Suggestion Id Accept Post
object
key
additional properties
any
Example generated
{}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}